Open App

Projects

API endpoints for projects

List projects

GET /api/v1/projects

Parameters

NameInTypeRequiredDescription
organizationIdquerystringNo

Example request

curl -X GET \
"https://api.example.com/api/v1/projects?organizationId=<organizationId>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Other statuses: 401.

Response body type


Create project

POST /api/v1/projects

Example request

curl -X POST \
"https://api.example.com/api/v1/projects" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Other statuses: 401.

Response body type


Get project

GET /api/v1/projects/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYesConvex document id

Example request

curl -X GET \
"https://api.example.com/api/v1/projects/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Other statuses: 401.

Response body type


Update project

PATCH /api/v1/projects/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYesConvex document id

Example request

curl -X PATCH \
"https://api.example.com/api/v1/projects/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Other statuses: 401.

Response body type


Delete project

DELETE /api/v1/projects/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYesConvex document id

Example request

curl -X DELETE \
"https://api.example.com/api/v1/projects/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Other statuses: 401.

Response body type